package p13_pliki.podstawy;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

/* Klasa BufferedReader też potrafi czytać kolejne linie z pliku, a jest prostsza od Scannera,
 * działa prawie 2x szybciej niż Scanner.
 * 
 * W tej wersji:
 * - obiekt BufferedReader tworzymy w tradycyjny sposób w oparciu o "new"
 * - pętlę przerywamy za pomocą break (null oznacza koniec pliku)
 */
public class Odczyt3_BufferedReader {

	public static void main(String[] args) {
		System.out.println("Startujemy");
		try(BufferedReader in = new BufferedReader(new FileReader("plik.txt"))) {
			while(true) {
				String linia = in.readLine();
				if(linia == null)
					break;
				System.out.println(linia);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
		System.out.println("Gotowe");
	}

}
